#version 330 core

in vec2 texcoord;

uniform vec4 coreColor;
uniform vec4 bumpColor;
uniform float colorScalar;
uniform float xFade;

out vec4 color;

void main()
{
	if((texcoord.x > 0.5 && xFade > 0.0) || (texcoord.x < 0.5 && xFade < 0.0))
	{
		color = vec4(0.0, 0.0, 0.0, 0.0);	
	}
	else
	{
		vec4 rimColor = vec4(0.0, 0.0, 0.0, 0.0);
		vec2 uvCenter = vec2(0.5, 0.5);
		float d = length(texcoord - uvCenter);
	
		vec4 mixedCoreColor = mix(bumpColor, coreColor, colorScalar);
		color = mix(mixedCoreColor, rimColor, d*2.0) * 1.3;
	}
}